Cancel order
curl --request PATCH \
--url https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Customer requested cancellation"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Customer requested cancellation'})
};
fetch('https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Customer requested cancellation'})
};
fetch('https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel"
payload = { "reason": "Customer requested cancellation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel"
payload := strings.NewReader("{\n \"reason\": \"Customer requested cancellation\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'Customer requested cancellation'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.patch("https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"Customer requested cancellation\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://vibe-api.liquidramp.com/v1/orders/{reference}/cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"reason\": \"Customer requested cancellation\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
{
"status": true,
"message": "<string>",
"data": "<unknown>",
"meta": {
"total": 123,
"per_page": 123,
"current_page": 123,
"last_page": 123
}
}{
"status": false,
"message": "<string>",
"code": "E_BADREQUEST"
}Orders
Cancel order
PATCH
/
v1
/
orders
/
{reference}
/
cancel
Cancel order
Authorizations
Bearer sk_* plus required headers:
- liquidramp-client-id
- liquidramp-timestamp (unix ms)
- liquidramp-signature (sha256=...)
Path Parameters
Body
application/json
⌘I